%?python_enable_dependency_generator
%global srcname conda-package-handling
%global pkgname conda_package_handling

Name:           python-%{srcname}
Version:        1.9.0
Release:        %mkrel 1
Summary:        Create and extract conda packages of various formats
Group:          Development/Python
License:        BSD
URL:            https://github.com/conda/%{srcname}
Source0:        https://github.com/conda/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildRequires: pyproject-rpm-macros
BuildRequires:  gcc
BuildRequires:  libarchive-devel

%description
Create and extract conda packages of various formats.

%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-Cython
BuildRequires:  python%{python3_pkgversion}-six
BuildRequires:  python%{python3_pkgversion}-tqdm
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-pytest-cov
BuildRequires:  python%{python3_pkgversion}-pytest-mock
Requires:       python%{python3_pkgversion}-six
Requires:       python%{python3_pkgversion}-tqdm
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname}
Create and extract conda packages of various formats.

%prep
%autosetup -n %{srcname}-%{version}
sed -i -e s/archive_and_deps/archive/ setup.py

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files conda_package_handling

%check
# test_secure_refusal_to_extract_abs_paths is not ready upstream
# https://github.com/conda/conda-package-handling/issues/59
PYTHONPATH=%{buildroot}%{python3_sitearch} py.test-%{python3_version} -v tests -k 'not test_secure_refusal_to_extract_abs_paths'

%files -n python%{python3_pkgversion}-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/cph


%changelog
* Thu Sep 29 2022 neoclust <neoclust> 1.9.0-1.mga9
+ Revision: 1893203
- New version 1.9.0

* Tue Sep 06 2022 neoclust <neoclust> 1.8.1-1.mga9
+ Revision: 1884444
- New version

* Fri Apr 01 2022 umeabot <umeabot> 1.7.3-2.mga9
+ Revision: 1838265
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 1.7.3-1.mga9
+ Revision: 1785532
- rebuild for python-3.10

* Mon Apr 05 2021 joequant <joequant> 1.7.2-1.mga9
+ Revision: 1713534
- update to 1.7.2 / python 3.9

* Thu Jun 04 2020 joequant <joequant> 1.7.0-1.mga8
+ Revision: 1590204
- imported package python-conda-package-handling

